Subject: Using gcc to port from Unix to NT 4.0
From: [email-masked] ("Andrew Mitchell")

21 Jan 1997 15:31:42 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

I am new to GNU win32 and have come across a number of problems.

I am attempting to port some 'C' code from Sun Solaris 2.4 to Windows NT
4.0.

The code builds up a dynamic library .so.

When attempting to compile using gcc it can find header files malloc.h
or search.h.

What haven't I got? Surely malloc.h is available.

Any help would be greatly appreciated.

PS: Currently on the unix port we have a main executable that defines
variables
as Globals and these globals are used in functions contained in the dynamic
libraries
is this possible under NT?.

Thanks in advance.

Andy Mitchell
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".